%bcond_with python_bootstrap
%global pypi_name sphinxcontrib-serializinghtml

Summary:       Sphinx extension for serialized HTML
Name:          python-%{pypi_name}
Version:       1.1.9
Release:       2%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       https://github.com/sphinx-doc/%{pypi_name}/archive/refs/tags/%{version}.tar.gz

BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-sphinx

BuildArch:     noarch

%description
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized" HTML files (json and
pickle).

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for serialized HTML

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized" HTML files (json and
pickle).

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done

%pyproject_wheel

%install
%pyproject_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/serializinghtml/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/serializinghtml/locales/$lang/LC_MESSAGES/*.mo \
    -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/serializinghtml/locales
ln -s %{_datadir}/locale sphinxcontrib/serializinghtml/locales
popd

%find_lang sphinxcontrib.serializinghtml

%check
# just close test when bootstrap build
%if %{without python_bootstrap}
%pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.serializinghtml.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_serializinghtml*.dist-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.9-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> -  1.1.9-1
- update to 1.1.9

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Shuo Wang <abushwang@tencent.com> - 1.1.5-5
- add python_bootstrap for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.1.5-1
- initial build
